Bug 242783 - security/cyberchef: Update to 9.12.0
Summary: security/cyberchef: Update to 9.12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dan Langille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-21 22:39 UTC by thomas
Modified: 2019-12-29 17:52 UTC (History)
1 user (show)

See Also:
thomas: maintainer-feedback?


Attachments
Cyberchef diff for 9.12.0 (997 bytes, patch)
2019-12-21 22:39 UTC, thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description thomas 2019-12-21 22:39:56 UTC
Created attachment 210119 [details]
Cyberchef diff for 9.12.0

Update Cyberchef 9.11.13 to 9.12.0

Changelog:
Tidied up Normalise Unicode operation
Tidied up Case Insensitive Regex ops
Tidied up ICO extractor
Tidied up OLE2 extractor
Operation elements now have decreasing z-index properties, meaning meaning dropdown
Fixed the magic bug where it wouldnt recommended operations that resulted in lists of files
Always display HTML outputs even if they are above the size threshold
Improved CR preservation logic - now based on entropy
Added 'Show all' button to output file overlay
Improve RTF detection
Comment 1 Jochen Neumeister freebsd_committer 2019-12-27 19:09:10 UTC
give PR to Maintainer
Comment 2 commit-hook freebsd_committer 2019-12-29 17:34:55 UTC
A commit references this bug:

Author: dvl
Date: Sun Dec 29 17:34:50 UTC 2019
New revision: 521398
URL: https://svnweb.freebsd.org/changeset/ports/521398

Log:
  Update Cyberchef 9.11.13 to 9.12.0

  re: https://github.com/gchq/CyberChef/releases/tag/v9.12.0

  Changelog:
  Tidied up Normalise Unicode operation
  Tidied up Case Insensitive Regex ops
  Tidied up ICO extractor
  Tidied up OLE2 extractor
  Operation elements now have decreasing z-index properties, meaning meaning dropdown
  Fixed the magic bug where it wouldnt recommended operations that resulted in lists of files
  Always display HTML outputs even if they are above the size threshold
  Improved CR preservation logic - now based on entropy
  Added 'Show all' button to output file overlay
  Improve RTF detection

  PR:		242783
  Submitted by:	thomas@bsdunix.ch

Changes:
  head/security/cyberchef/Makefile
  head/security/cyberchef/distinfo
Comment 3 Dan Langille freebsd_committer 2019-12-29 17:52:06 UTC
Thank you.